NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | List of all members
NXOpen.Annotations.ComponentData Class Reference

A ComponentData object can be used to query the components of an annotation. More...

Inheritance diagram for NXOpen.Annotations.ComponentData:

Public Member Functions

unsafe
NXOpen.Annotations.LineComponent[] 
GetLineComponents ()
 Queries the line components, (NXOpen.Annotations.LineComponent ), in an annotation. More...
 
unsafe
NXOpen.Annotations.ArrowComponent[] 
GetArrowComponents ()
 Queries the arrow components, (NXOpen.Annotations.ArrowComponent ), in an annotation. More...
 
unsafe
NXOpen.Annotations.ArcComponent[] 
GetArcComponents ()
 Queries the arc components, (NXOpen.Annotations.ArcComponent ), in an annotation. More...
 
unsafe
NXOpen.Annotations.TextComponent[] 
GetTextComponents ()
 Queries the text components, (NXOpen.Annotations.ArcComponent ), in an annotation. More...
 
unsafe NXOpen.DisplayableObject[] GetEntities ()
 Returns the entities that display the annotation. More...
 
unsafe NXOpen.DisplayableObject[] GetEntitiesAutodelete ()
 Returns the entities that display the annotation. More...
 

Protected Member Functions

override void FreeResource ()
 Frees the object from memory. More...
 

Detailed Description

A ComponentData object can be used to query the components of an annotation.

These components include line components, arrow components, arc components, and text components. These components can then be queried for type specific information about the object.

Created in NX6.0.2

Member Function Documentation

override void NXOpen.Annotations.ComponentData.FreeResource ( )
protected

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX6.0.2

License requirements: None.

unsafe NXOpen.Annotations.ArcComponent [] NXOpen.Annotations.ComponentData.GetArcComponents ( )

Queries the arc components, (NXOpen.Annotations.ArcComponent ), in an annotation.

Each arc component can be queried for arc specific information.

Created in NX6.0.2

License requirements: None.

Returns
All of the arc components that exist in the annotation
unsafe NXOpen.Annotations.ArrowComponent [] NXOpen.Annotations.ComponentData.GetArrowComponents ( )

Queries the arrow components, (NXOpen.Annotations.ArrowComponent ), in an annotation.

Each arrow component can be queried for arrow specific information.

Created in NX6.0.2

License requirements: None.

Returns
All of the arrow components that exist in the annotation
unsafe NXOpen.DisplayableObject [] NXOpen.Annotations.ComponentData.GetEntities ( )

Returns the entities that display the annotation.

Each entity can be queried to get the line, arc and text information. Note that entities could be line, arc, spline and annotation objects.

Created in NX6.0.2

License requirements: None.

Returns
List of entities that display the annotation. It is the caller's responsibility to delete these objects.
unsafe NXOpen.DisplayableObject [] NXOpen.Annotations.ComponentData.GetEntitiesAutodelete ( )

Returns the entities that display the annotation.

These entites will be deleted when this object is deleted. Each entity can be queried to get the line, arc and text information. Note that entities could be line, arc, spline and annotation objects.

Created in NX11.0.0

License requirements: None.

Returns
List of entities that display the annotation. These entities will be deleted when the ComponentData object is deleted.
unsafe NXOpen.Annotations.LineComponent [] NXOpen.Annotations.ComponentData.GetLineComponents ( )

Queries the line components, (NXOpen.Annotations.LineComponent ), in an annotation.

Each line component can be queried for line specific information.

Created in NX6.0.2

License requirements: None.

Returns
All of the lines components that exist in the annotation
unsafe NXOpen.Annotations.TextComponent [] NXOpen.Annotations.ComponentData.GetTextComponents ( )

Queries the text components, (NXOpen.Annotations.ArcComponent ), in an annotation.

Each text component can be queried for text specific information.

Created in NX6.0.2

License requirements: None.

Returns
All of the text components that exist in the annotation

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.